🚧 The Rhombus Developer Documentation is currently in beta. For the official documentation, please visit docs.rhombus.com.
cURL
curl --request POST \ --url https://api2.rhombussystems.com/api/relay/getMinimalNVRStateList \ --header 'Content-Type: application/json' \ --header 'x-auth-apikey: <api-key>' \ --header 'x-auth-scheme: <x-auth-scheme>' \ --data '{}'
{ "error": true, "errorMsg": "<string>", "nvrstates": [ { "connectionStatus": "RED", "createdAtMillis": 123, "defaultInterface": "<string>", "defaultInterfaceMac": "<string>", "directionRadians": 123, "externalIPAddress": "<string>", "facetNameMap": {}, "firmwareUpdateInProgress": true, "firmwareVersion": "<string>", "floorNumber": 123, "healthStatus": "RED", "healthStatusDetails": "DISCONNECTED", "hwVariation": "RASPBERRY_PI_3", "lanAddresses": [ "<string>" ], "latitude": 123, "liveStreamShared": true, "liveStreamsSharedCount": 123, "locationUuid": "AAAAAAAAAAAAAAAAAAAAAA", "longitude": 123, "mediaRegion": "<string>", "mediaStorageDeviceUuid": "AAAAAAAAAAAAAAAAAAAAAA.v0", "mummified": true, "name": "<string>", "numThirdPartyCamerasAssigned": 123, "numThirdPartyCamerasSupported": 123, "policyUuid": "AAAAAAAAAAAAAAAAAAAAAA", "region": "<string>", "secondaryLanAddresses": [ "<string>" ], "serialNumber": "<string>", "ssid": "<string>", "subLocationsHierarchyKey": "AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA", "supportedFacets": [ "v0, a0" ], "uuid": "AAAAAAAAAAAAAAAAAAAAAA", "wifiApMac": "<string>", "wifiBars": 123, "wifiSignalStrength": 123 } ], "warningMsg": "<string>" }
Get basic state information about all NVRs in organization
Your API key for Rhombus.
Authentication scheme indicator ("api-token").
9
Request object for getting basic state information about all NVRs in the organization.
OK
Response object containing basic state information about all NVRs in the organization.
List of minimal NVR state information for all NVRs in the organization
Show child attributes
Was this page helpful?